{% extends "layouts/base.html" %}
{% load don_template_functions %}

{% block content %}
<div class="container">
    <div class="page-organization-list">
        <h1>{{ title }}</h1>
        <p class="mb-md">{{ description }}</p>
        <ul class="organization-list list-reset">
            {% for organization in organizations_list %}
                <li class="card card--padding-md mb-3">
                    <a href="{{ organization.get_absolute_url }}">
                        <h2 class="card__title mt-0 mb-3 font-color-brand">{{ organization.name }}</h2>
                    </a>
                    {% if organization.type %}<span class="pill pill--white mb-3">{{ organization.type }}</span>{% endif %}
                    {% if organization.description %}
                        <p class="mb-4">{{ organization.description | truncatewords:42 }}</p>
                    {% else %}
                        <p class="mb-4"><i>Geen beschrijving ingevuld.</i></p>
                    {% endif %}
                    <div class="mt-3">
                        {% if is_apis %}
                        <span class="pill pill--white pill--square mt-0 mb-0">
                            API's: <span class="font-weight-600 ml-1">{{ organization.api_count }}</span>
                        </span>
                        {% elif is_oss %}
                        <span class="pill pill--white pill--square mt-0 mb-0">
                            Repositories: <span class="font-weight-600 ml-1">{{ organization.repository_count }}</span>
                        </span>
                        {% endif %}
                    </div>

                </li>
            {% endfor %}
        </ul>
        {% include "partials/paginator.html" %}
    </div>
</div>
{% endblock %}
